h1 {
  background-color: var(--bg-light);
  padding: 16px;
  border-radius: 12px;
}

button,
input[type='submit'] {
  background: var(--bg-light);
  border: none;
  font-family: 'Zen Tokyo Zoo', cursive;
  font-size: 2em;
  padding: 16px;
  border-radius: 8px;
  cursor: pointer;
}

button:hover,
input[type='submit']:hover {
  color: white;
  background-color: #333;
}

p {
  background-color: var(--bg-light);
  border-radius: 4px;
  padding: 30px;
  max-width: 300px;
}

p.footer {
  padding: 8px;
  font-size: 0.8em;
}

.cloud {
  position: absolute;
  top: 0;
  padding: 8px;
  font-size: 1.5em;
  border-radius: 16px;
  animation-duration: var(--duration);
  animation-name: _fall;
  animation-timing-function: linear;
}

.cloud span {
  font-family: 'Fira Code', monospace;
}

@keyframes _fall {
  from {
    transform: none;
  }
  to {
    transform: translateY(90vh);
  }
}

.cloud span.matched {
  color: green;
  text-decoration: underline;
}

input[type='range'] {
  width: 100%;
  margin: 12px;
  padding: 0;
}

.factor-range {
  flex-direction: column;
}

.factor-range label {
  width: 100%;
  display: flex;
  justify-content: space-between;
}

.factor-range label span {
  background-color: rgba(255, 255, 255, 0.4);
  padding: 8px;
  border-radius: 2px;
}

.factor-range label span:nth-child(1) {
  color: var(--danger);
}

.factor-range label span:nth-child(2) {
  color: var(--success);
}

.input-item {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: var(--bg-light);
  padding: 8px;
  margin: 12px;
}

input,
select {
  padding: 8px;
}
